import type { Meta, StoryObj } from '@storybook/vue3';

import Alert from '@/components/Alert/Alert.vue';
import { AlertType } from '@/types';

// More on how to set up stories at: https://storybook.js.org/docs/7.0/vue/writing-stories/introduction
const meta: Meta<typeof Alert> = {
  title: 'Components/Alert',
  component: Alert,
  // This component will have an automatically generated docsPage entry: https://storybook.js.org/docs/7.0/vue/writing-docs/docs-page
  tags: ['autodocs'],
  argTypes: {
    // size: { control: 'select', options: ['small', 'medium', 'large'] },
    // backgroundColor: { control: 'color' },
    // onClick: { action: 'clicked' },
    type: {
      control: 'select',
      options: Object.values(AlertType),
    },
  },
  args: {
    text: 'Sample alert text',
  }, // default value
};

export default meta;
type Story = StoryObj<typeof Alert>;
/*
 *👇 Render functions are a framework specific feature to allow you control on how the component renders.
 * See https://storybook.js.org/docs/7.0/vue/api/csf
 * to learn how to use render functions.
 */

export const Default: Story = {};
export const Success: Story = {
  args: {
    type: AlertType.SUCCESS,
  },
};

export const Info: Story = {
  args: {
    type: AlertType.INFO,
  },
};

export const Danger: Story = {
  args: {
    type: AlertType.DANGER,
  },
};

export const Warning: Story = {
  args: {
    type: AlertType.WARNING,
  },
};

export const Dismissable: Story = {
  args: {
    dismissable: true,
  },
};

export const WithSlot: Story = {
  render: () => ({
    components: { Alert },
    template: `
      <Alert>
        <div>With Provided default slot: Go!</div>
      </Alert>
    `,
  }),
};
