import { ButtonType } from '@/types';
import type { Meta, StoryObj } from '@storybook/vue3';
import Badge from '../Badge.vue';

const meta: Meta<typeof Badge> = {
  title: 'Components/Badge',
  component: Badge,
  tags: ['autodocs'],
  args: {
    label: 'Label',
  },
  argTypes: {
    type: {
      control: 'select',
      options: Object.values(ButtonType),
    },
  },
};

export default meta;

type Story = StoryObj<typeof Badge>;

export const Default: Story = {};

export const Secondary: Story = {
  args: {
    type: ButtonType.SECONDARY,
  },
};

export const Success: Story = {
  args: {
    type: ButtonType.SUCCESS,
  },
};

export const Warning: Story = {
  args: {
    type: ButtonType.WARNING,
  },
};
