import type { Meta, StoryObj } from '@storybook/vue3';
import Table from '../Table.vue';

import tableData from './tableData';

const meta: Meta<typeof Table> = {
  title: 'Components/Table',
  component: Table,
  tags: ['autodocs'],
  args: {
    headers: tableData.headers,
    items: tableData.items,
  },
};

export default meta;

type Story = StoryObj<typeof Table>;

export const Default: Story = {};

export const WithTitle: Story = {
  args: {
    title: 'Active users',
  },
};

export const Rounded: Story = {
  args: {
    rounded: true,
  },
};

export const CustomColumnSlot: Story = {
  args: {
    title: 'Custom name column slot',
    items: tableData.items,
    headers: tableData.headers,
  },
  render: () => ({
    components: { Table },
    template: `
      <Table :items="items" :headers="headers">
        <template #item-name="{ item }" :title="title">{{ item.name.toUpperCase() }}</template>
      </Table>
    `,
  }),
};
