import type { Meta, StoryObj } from '@storybook/vue3';
import TextArea from '../TextArea.vue';

const meta: Meta<typeof TextArea> = {
  title: 'Components/TextArea',
  component: TextArea,
  tags: ['autodocs'],
};

export default meta;

type Story = StoryObj<typeof TextArea>;

export const Default: Story = {};
export const WithLabel: Story = {
  args: {
    label: 'Textarea label',
  },
};

export const WithPlaceholder: Story = {
  args: {
    placeholder: 'Enter description',
  },
};

export const WithPlaceholderAndLabel: Story = {
  args: {
    ...WithLabel.args,
    ...WithPlaceholder.args,
  },
};
