import { ref, computed } from 'vue';
import { defineStore } from 'pinia';

export default interface User {
  id: number;
  name: string;
  email: string;
  age: number;
  gender: string;
}

export const useUsersStore = defineStore('users', () => {
  const users = ref<User[]>([
    {
      id: 1,
      name: 'John Doe',
      email: 'johndoe@example.com',
      age: 32,
      gender: 'male',
    },
    {
      id: 2,
      name: 'Jane Smith',
      email: 'janesmith@example.com',
      age: 27,
      gender: 'female',
    },
    {
      id: 3,
      name: 'Bob Johnson',
      email: 'bobjohnson@example.com',
      age: 45,
      gender: 'male',
    },
  ]);

  const addUser = (user: User) => users.value.push(user);

  const getUsersCount = computed(() => users.value.length);
  const getUsers = () => computed(() => users.value);

  return {
    addUser,
    getUsers,
    getUsersCount,
  };
});
