/** @type {import('tailwindcss').Config} */

import defaultTheme from 'tailwindcss/defaultTheme';
import formsPlugin from '@tailwindcss/forms';

const themeName = process.env.npm_config_theme || 'default';

const preset = require(`./presets/${themeName}.js`);
export default {
  content: ['./index.html', './src/**/*.{vue,js,ts}'],
  theme: {
    extend: {
      fontFamily: {
        sans: ['"Open Sans"', ...defaultTheme.fontFamily.sans],
        lato: ['Lato'],
        titilium: ['"Titillium Web"'],
      },
    },
  },
  presets: [preset],
  plugins: [formsPlugin],
};
